下載首頁 | 資訊中心 | 文章分類 | 最近更新 | 排 行 榜 |
文章搜索: 分類 關鍵字
您的位置:首頁軟件教程AutoCADAutoCAD資料教程 → AutoCAD下繪制直線對稱中心線的方法
AutoCAD下繪制直線對稱中心線的方法
日期:2007-12-3 20:30:43 人氣:1079     [ ]
上一頁 [1] [2] [3] 下一頁

  AutoCAD是目前國內應用最廣范的CAD系統之一,AutoCAD 功能強大,是一個通用的CAD平臺,但是如果不根據本專業的需要進行二次開發,使用起來是很不方便的。畫對稱中心線是機械設計中經常遇到的一個問題。

  筆者用AutoLISP依據國家標準開發了兩個程序,可以很方便地解決直線對稱中心線的問題。

  第一個程序適用于兩條邊是連續直線的情況。使用方法是LOAD命令裝入GLS.LSP,運行C:GSL,依據屏幕提示,分別選擇兩邊,自動繪制出中心線。

GSL.LSP:

(defun mid(pt1 pt2 ) 計算兩點之中點的功能函數

(setq pt (mapcar'+pt1 pt2 ))

(setq pt (mapcar'/pt'(2 2 2)))

)

(defun c:gsl/m cl1 cl cl2 e pt pt1 pt2 pt3 pt4 a)  (SETQ M 1)

 (WHILE M

  (SETQ CL1 (ENTSEL"\n選擇第一條直線 "))

  (cond

   ((not cl1 )  (prompt"\n 沒有發現實體"))

   ((/="LINE"(cdr (assoc 0 (setqe(entget (car cl1))))))

(prompt"\n 所選不是直線")

  )

  (t (prompt"找到了第一條直線”)

   (setq m nil);退出循環

  )

  )

)

(setq cl (ssget (nth 0 (cdr cl1))));取得第一條直線的實體數據

(SETQ M 1)

(WHILE M

 (SETQ CL2 (ENTSEL"\n選擇第二條直線"))

 (if cl2

  (if (ssmemb (car cl2) cl )

    (progn

     (princ"\n選擇重復,重新選擇")

     (setq cl2 nil)

    )

  )

 )

 (cond

  ((not cl2 ) (prompt"沒有發現實體或重復"))

  ((="LINE"(cdr (assoc 0 (setq e (entget (car cl2))))))

上一頁 [1] [2] [3] 下一頁
我有問題,我要進入論壇
出處:本站原創 作者:佚名
 熱點文章
·如何定制自己的個性化..
·proe超級技巧
·怎樣學好PRO/E軟件?
·PRO/E COFNIG文件設置..
·PROE將默認英制轉換成..
·PRO/E分模經驗總結
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·Pro/E 各種曲線方程集..
·舊版ProE如何讀取野火..
·Pro/E如何做兩條c2(曲..
·Pro/E 2001下一個陣列..
·一款鈑金產品的結構設..
 推薦文章
·翻砂鑄造的特點及其工..
·整編SolidWorks應用技..
·模具選材原則
·如何解決中文Pro/E工程..
·Pro/ENGINEER 中的文本..
·Pro/ENGINEER Wildfir..
·模型從proe->ansys..
·用行為建模優化設計的..
·簡單的Top-Down設計實..
·適合初學者的基礎練習..
·ProE不傳之秘笈(高級技..
·PRO/E 關于零件精度的..
·Pro/E的scan-tools工具..
·關系式的世界
·關系式教程
丝瓜视频app色-丝瓜视频app在线-丝瓜视频在线播放